Changes between Version 49 and Version 50 of PythonOcc/primitives


Ignore:
Timestamp:
Nov 16, 2015, 12:20:09 PM (5 years ago)
Author:
mprotic
Comment:

Popravek k lupinam

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v49 v50  
    669669{{{
    670670#!python
     671# -*- coding: utf-8 -*-
     672
     673from OCC.Display.SimpleGui import init_display
     674from OCC.BRepPrimAPI import BRepPrimAPI_MakeBox
    671675from OCC.BRepOffsetAPI import *
    672 }}}
    673 Pri izdelavi lupine je potrebno določiti geometrijo iz katere hočemo narediti lupiono, ploskve, ki jih hočemo odstraniti, debelino lupine ter toleranco izdelave modela:
    674 {{{
    675 #!python
    676 lupina = BRepOffsetAPI_MakeThickSolid(Oblika, Odstr_ploskve, debelina, toleranca)
    677 '''
    678 #Uporabimo seznam, ki vsebuje povšine (postopek je opisan pri Izdelava posnetij (Chamfer))
     676from OCC.TopExp import *
     677from OCC.TopoDS import *
     678from OCC.TopTools import *
     679from OCC.TopAbs import *
     680
     681display, start_display, add_menu, add_function_to_menu = init_display()
     682my_box = BRepPrimAPI_MakeBox(10., 20., 30.)
     683
     684debelina = 1
     685toleranca = 1.e-8
     686
     687# --------------------------------------------------
     688# Seznam, ki vsebuje vse površine
     689# --------------------------------------------------
     690
     691aFaceExplorer = TopExp_Explorer(my_box.Shape(), TopAbs_FACE)
     692
     693face_results = []
     694while aFaceExplorer.More():
     695   aFace = topods().Face(aFaceExplorer.Current())
     696   face_results.append(aFace)
     697   aFaceExplorer.Next()
     698aFaceExplorer.ReInit()
     699
     700# --------------------------------------------------
     701# Odstranjevanje ploskev, ki jih v modelu ne želimo
     702# --------------------------------------------------
     703
    679704Odstr_ploskve = TopTools_ListOfShape()
    680 Odstr_ploskve.Append(face_results[0]) #Sedaj smo med povšine, ki bodo odstranjene, dodali površino 0. Dodajamo poljubno.
    681 debelina = 1
    682 toleranca = 1.e-3
    683 '''
     705Odstr_ploskve.Append(face_results[0])
     706Odstr_ploskve.Append(face_results[2])
     707
     708# --------------------------------------------------
     709# Definiranje lupine
     710# --------------------------------------------------
     711lupina = BRepOffsetAPI_MakeThickSolid(my_box.Shape(), Odstr_ploskve, debelina, toleranca)
     712
     713
     714#display.DisplayShape(my_box.Shape(), update=True)
     715display.DisplayShape(lupina.Shape(), update=True)
     716start_display()
     717
    684718}}}
    685719[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]